> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamnative.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create topic.

> Creates a new topic in the Kafka cluster with the specified configuration. You can set partitions, replication factor, and other topic-level configurations.



## OpenAPI

````yaml post /admin/v1/topics
openapi: 3.0.0
info:
  title: StreamNative Kafka REST API
  description: >-
    REST API for managing Kafka resources and producing/consuming messages in
    StreamNative Cloud
  version: v1
servers: []
security: []
paths:
  /admin/v1/topics:
    post:
      tags:
        - ksn-topics
      summary: Create topic.
      description: >-
        Creates a new topic in the Kafka cluster with the specified
        configuration. You can set partitions, replication factor, and other
        topic-level configurations.
      operationId: createTopic
      requestBody:
        content:
          application/json:
            schema: {}
      responses:
        '200':
          description: The topic created successfully.
        '400':
          description: Wrong request params
        '401':
          description: Unauthorized
        '500':
          description: Internal server error

````